Package org.apache.any23.extractor.rdfa

## Class RDFa11ParserTest

- java.lang.Object
- - org.apache.any23.extractor.rdfa.RDFa11ParserTest

-     @Deprecated
      public class RDFa11ParserTest
      extends Object

  Deprecated.
  since 2.3
  Author:
    Michele Mostarda (mostarda@fbk.eu)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RDFa11ParserTest()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `testExtractPrefixSections()` | Deprecated.
    `void` | `testGetAsPlainLiteral()` | Deprecated.
    `void` | `testGetAsXMLLiteral()` | Deprecated.
    `void` | `testGetDocumentBase()` | Deprecated.
    `void` | `testIsCURIEBNodeNegative()` | Deprecated.
    `void` | `testIsCURIEBNodePositive()` | Deprecated.
    `void` | `testIsCURIENegative()` | Deprecated.
    `void` | `testIsCURIEPositive()` | Deprecated.
    `void` | `testIsRelativeNegative()` | Deprecated.
    `void` | `testIsRelativePositive1()` | Deprecated.
    `void` | `testIsRelativePositive2()` | Deprecated.
    `void` | `testUpdateIRIMapping()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDFa11ParserTest

          public RDFa11ParserTest()

      Deprecated.

  - ### Method Detail

    - #### testGetDocumentBase

          public void testGetDocumentBase()
                                   throws MalformedURLException

      Deprecated.
      Throws:
        `MalformedURLException`

    - #### testExtractPrefixSections

          public void testExtractPrefixSections()

      Deprecated.

    - #### testIsCURIEPositive

          public void testIsCURIEPositive()

      Deprecated.

    - #### testIsCURIENegative

          public void testIsCURIENegative()

      Deprecated.

    - #### testIsCURIEBNodePositive

          public void testIsCURIEBNodePositive()

      Deprecated.

    - #### testIsCURIEBNodeNegative

          public void testIsCURIEBNodeNegative()

      Deprecated.

    - #### testIsRelativeNegative

          public void testIsRelativeNegative()

      Deprecated.

    - #### testIsRelativePositive1

          public void testIsRelativePositive1()
                                       throws ParserConfigurationException

      Deprecated.
      Throws:
        `ParserConfigurationException`

    - #### testIsRelativePositive2

          public void testIsRelativePositive2()
                                       throws ParserConfigurationException

      Deprecated.
      Throws:
        `ParserConfigurationException`

    - #### testUpdateIRIMapping

          public void testUpdateIRIMapping()
                                    throws ParserConfigurationException

      Deprecated.
      Throws:
        `ParserConfigurationException`

    - #### testGetAsPlainLiteral

          public void testGetAsPlainLiteral()
                                     throws ParserConfigurationException

      Deprecated.
      Throws:
        `ParserConfigurationException`

    - #### testGetAsXMLLiteral

          public void testGetAsXMLLiteral()
                                   throws ParserConfigurationException,
                                          IOException,
                                          TransformerException

      Deprecated.
      Throws:
        `ParserConfigurationException`
        `IOException`
        `TransformerException`